#include <IO.h>


/*
 * Output/Input list
 * = : value will be changed
 * a : ax
 * d : dx
 * N : 0~255
 */

unsigned char inb(unsigned short port)
{
	unsigned char _v;
	__asm__ __volatile__ ("inb %w1, %0":"=a" (_v):"Nd" (port));
	return _v;
}

unsigned short inw(unsigned short port)
{
	unsigned short _v;
	__asm__ __volatile__ ("inw %w1,%0":"=a" (_v):"Nd"(port));
	return _v;
}

void outb(unsigned short port, unsigned char value)
{
	__asm__ __volatile__ ("outb %b0,%w1": :"a" (value), "Nd"(port));
}

void outw(unsigned short port, unsigned short value)
{
	__asm__ __volatile__ ("outw %w0,%w1": :"a" (value), "Nd"(port));
}


